#ifndef __LCD__
#define __LCD__
	
	
/* Entres / Sorties permettant de commander l'afficheur LCD */
#define LCD_CSA	PORTBbits.RB1			// Slection du controleur A 
#define LCD_CSB	PORTBbits.RB2			// Slection du controleur B
#define LCD_RS 	PORTBbits.RB3			// Slection du registre
#define LCD_RW	PORTBbits.RB4			// Mode lecture / ecriture
#define LCD_Enable	PORTBbits.RB5		// Enable
#define LCD_DATA PORTD      			// Port de donnes
#define LCD_Reset PORTBbits.RB0			// Reset
#define LCD_BackLight PORTBbits.RB6		// Rtro clairage


// Dfinition des constantes et des prototypes des fonctions 

void LCD_Init (void);
void LCD_Write_Command (unsigned char Data);
void LCD_Send_Data (unsigned char Data);
void LCD_Clear (void);
void LCD_GotoXY (unsigned char X, unsigned char Y);
void LCD_Putchar(unsigned char ch);
char LCD_ReadData(void);
void LCD_PixelOnHori (unsigned char X, unsigned char Y);
void LCD_PixelOnVert (unsigned char X, unsigned char Y);
void LCD_PixelOff (unsigned char X, unsigned char Y);
	
	
#endif
